Glib::RWLock::ReaderLock Class Reference

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/thread.h>`

## Public Member Functions

| ReaderLock (RWLock& rwlock)
| ReaderLock (RWLock& rwlock, NotLock)
| ReaderLock (RWLock& rwlock, TryLock)
| ReaderLock (const RWLock::ReaderLock&)=delete
RWLock::ReaderLock& | operator= (const RWLock::ReaderLock&)=delete
| ~ReaderLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

Deprecated:
  Use Glib::Threads::RWLock::ReaderLock instead.

## Constructor & Destructor Documentation

## ReaderLock() [1/4]

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock | ) |

inline explicit

## ReaderLock() [2/4]

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |

inline

## ReaderLock() [3/4]

Glib::RWLock::ReaderLock::ReaderLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |

inline

## ReaderLock() [4/4]

Glib::RWLock::ReaderLock::ReaderLock | ( | const RWLock::ReaderLock& |  | ) |

delete

## ~ReaderLock()

Glib::RWLock::ReaderLock::~ReaderLock | ( |  | ) |

inline

## Member Function Documentation

## acquire()

void Glib::RWLock::ReaderLock::acquire | ( |  | ) |

inline

## locked()

bool Glib::RWLock::ReaderLock::locked | ( |  | ) | const

inline

## operator=()

RWLock::ReaderLock& Glib::RWLock::ReaderLock::operator= | ( | const RWLock::ReaderLock& |  | ) |

delete

## release()

void Glib::RWLock::ReaderLock::release | ( |  | ) |

inline

## try_acquire()

bool Glib::RWLock::ReaderLock::try_acquire | ( |  | ) |

inline